#ifndef THEWIFI_H
#define THEWIFI_H

#include "esp32-hal-log.h"
#include "WiFi.h"
#include "theSecrets.h"

const char *esp_ip_address;

void setup_wifi()
{
    log_i("Attempting to connect to WPA SSID: %s", ssid);
    WiFi.mode(WIFI_STA);
    WiFi.begin(ssid, psk);
    while (WiFi.status() != WL_CONNECTED)
    {
        delay(1000);
    }
    esp_ip_address = WiFi.localIP().toString().c_str();
    log_i("Connected, IP Address: %s", esp_ip_address);
}

#endif
